#include "partition.h"
#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
    vector<int> res;
std::vector<int> solve(std::vector<int> A)
{
    res.clear();
    int i;
    for (i = 0; i < A.size()/2-1; i++)
        res.push_back(i);
    res.push_back(A.size()-1);
    for (int j = i; j < A.size()-1; j++)
        res.push_back(j);
    return {res};
}
